Skip to content

Site Template Configuration ​

25 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
updateBandSteeringTemplateSettingPATCHModify site template band steering setting
updateBeaconControlTemplateSettingPATCHModify site template beacon control setting
getChannelLimitTemplateSettingGETGet site template channel limit setting (deprecated)
updateChannelLimitTemplateSettingPATCHModify site template channel limit setting
modifySiteTemplateGeneralConfigPATCHModify the general configuration settings of the Site template (deprecated)
getSiteTemplateJumboSettingGETGet site template jumbo setting
updateSiteTemplateJumboSettingPUTModify site template jumbo setting
getSiteTemplateLagHashAlgSettingGETGet site template lag hash alg setting
updateSiteTemplateLagHashAlgSettingPUTModify site template lag hash alg setting
getSiteTemplateLedSettingGETGet site template led setting
updateSiteTemplateLedSettingPUTModify site template led setting
getLldpTemplateSettingGETGet site template lldp setting
updateLldpTemplateSettingPATCHModify site template lldp setting
getMeshTemplateSettingGETGet site template mesh setting
updateMeshTemplateSettingPATCHModify site template mesh setmesh setting
getMulticastRateLimitTemplateByOpenApiGETGet site template multicast rate limit setting
updateMcastRateLimitSettingTemplateByOpenApiPATCHModify site template multicast rate limit setting
getSiteTemplateRememberSettingByOpenApiGETQuery site template setting exist or not
modifySiteTemplateRememberSettingByOpenApiPOSTModify site template remember device setting
getRemoteLoggingTemplateSettingGETGet site template remote logging setting
updateRemoteLoggingTemplateSettingPATCHModify site template remote logging setting
getRoamingTemplateSettingGETGet site template roaming setting
updateRoamingTemplateSettingPATCHModify site template roaming setting
modifySiteServiceTemplatePATCHModify Site template service settings (deprecated)
modifySiteTemplateSettingPATCHModify Site template settings (deprecated)

updateBandSteeringTemplateSetting ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/band-steering

Modify site template band steering setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema SiteBandSteeringSetting

FieldTypeRequiredDescription
bandSteeringForMultiBandBandSteeringMultiBandVOno(BandSteeringMultiBandVO not expanded; call omada_get_schema "BandSteeringMultiBandVO")
json
// omada_call_operation
{
  "operationId": "updateBandSteeringTemplateSetting",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site template band steering setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateBeaconControlTemplateSetting ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/beacon-control

Modify site template beacon control setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema SiteBeaconControlSetting

FieldTypeRequiredDescription
beaconControlBeaconControlVOno(BeaconControlVO not expanded; call omada_get_schema "BeaconControlVO")
airtimeFairnessAirtimeFairnessSettingVOno(AirtimeFairnessSettingVO not expanded; call omada_get_schema "AirtimeFairnessSettingVO")
json
// omada_call_operation
{
  "operationId": "updateBeaconControlTemplateSetting",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site template beacon control setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getChannelLimitTemplateSetting ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/channel-limit

Deprecated

This operation is deprecated.

Get site template channel limit setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getChannelLimitTemplateSetting",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get site template channel limit settingThis interface has been deprecated.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateChannelLimitTemplateSetting ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/channel-limit

Modify site template channel limit setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema SiteChannelLimitSetting

FieldTypeRequiredDescription
channelLimitChannelLimitSettingVOno(ChannelLimitSettingVO not expanded; call omada_get_schema "ChannelLimitSettingVO")
json
// omada_call_operation
{
  "operationId": "updateChannelLimitTemplateSetting",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site template channel limit settingThis interface has been deprecated.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

modifySiteTemplateGeneralConfig ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/general/config

Deprecated

This operation is deprecated.

Modify the general configuration settings of the Site template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema SiteServiceGeneralConfigOpenApiVO

FieldTypeRequiredDescription
ledSiteLedSettingno(SiteLedSetting not expanded; call omada_get_schema "SiteLedSetting")
remoteLogRemoteLogSettingOpenApiVOno(RemoteLogSettingOpenApiVO not expanded; call omada_get_schema "RemoteLogSettingOpenApiVO")
rememberDeviceRememberDeviceSettingno(RememberDeviceSetting not expanded; call omada_get_schema "RememberDeviceSetting")
dhcpSrvChangedDhcpServerChangedConfigOpenApiVOno(DhcpServerChangedConfigOpenApiVO not expanded; call omada_get_schema "DhcpServerChangedConfigOpenApiVO")
portalLogoutConfigPortalLogoutConfigOpenApiVOno(PortalLogoutConfigOpenApiVO not expanded; call omada_get_schema "PortalLogoutConfigOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifySiteTemplateGeneralConfig",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify the general configuration settings of the Site template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getSiteTemplateJumboSetting ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/jumbo

Get site template jumbo setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getSiteTemplateJumboSetting",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get site template jumbo setting
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateSiteTemplateJumboSetting ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/jumbo

Modify site template jumbo setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema SiteJumboOpenApiVO

FieldTypeRequiredDescription
sizeintegernoIt should be within the range of 1518–9216 Bytes.
json
// omada_call_operation
{
  "operationId": "updateSiteTemplateJumboSetting",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site template jumbo setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getSiteTemplateLagHashAlgSetting ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lag-hash-alg

Get site template lag hash alg setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getSiteTemplateLagHashAlgSetting",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get site template lag hash alg setting
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateSiteTemplateLagHashAlgSetting ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lag-hash-alg

Modify site template lag hash alg setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema SiteLagHashAlgOpenApiVO

FieldTypeRequiredDescription
typeintegeryesIt should be a value as follows: 0: SRC MAC; 1: DST MAC; 2: SRC MAC + DST MAC; 3: SRC IP; 4: DST IP; 5: SRC IP + DST IP.
json
// omada_call_operation
{
  "operationId": "updateSiteTemplateLagHashAlgSetting",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site template lag hash alg setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getSiteTemplateLedSetting ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/led

Get site template led setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getSiteTemplateLedSetting",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get site template led setting
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateSiteTemplateLedSetting ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/led

Modify site template led setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema SiteLedSetting

FieldTypeRequiredDescription
enablebooleanyesWhether to enable led
json
// omada_call_operation
{
  "operationId": "updateSiteTemplateLedSetting",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site template led setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getLldpTemplateSetting ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lldp

Get site template lldp setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getLldpTemplateSetting",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get site template lldp setting
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateLldpTemplateSetting ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lldp

Modify site template lldp setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema SiteLldpSetting

FieldTypeRequiredDescription
lldpSiteApLldpSettingVOno(SiteApLldpSettingVO not expanded; call omada_get_schema "SiteApLldpSettingVO")
json
// omada_call_operation
{
  "operationId": "updateLldpTemplateSetting",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site template lldp setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getMeshTemplateSetting ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/mesh

Get site template mesh setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getMeshTemplateSetting",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get site template mesh setting
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateMeshTemplateSetting ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/mesh

Modify site template mesh setmesh setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema SiteMeshSetting

FieldTypeRequiredDescription
meshMeshSettingVOno(MeshSettingVO not expanded; call omada_get_schema "MeshSettingVO")
json
// omada_call_operation
{
  "operationId": "updateMeshTemplateSetting",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site template mesh setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getMulticastRateLimitTemplateByOpenApi ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/multicast-rate-limit

Get site template multicast rate limit setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getMulticastRateLimitTemplateByOpenApi",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get site template multicast rate limit setting
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateMcastRateLimitSettingTemplateByOpenApi ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/multicast-rate-limit

Modify site template multicast rate limit setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema SiteMulticastRateLimitSetting

FieldTypeRequiredDescription
mcastRateLimitMcastRateLimitSettingVOno(McastRateLimitSettingVO not expanded; call omada_get_schema "McastRateLimitSettingVO")
json
// omada_call_operation
{
  "operationId": "updateMcastRateLimitSettingTemplateByOpenApi",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site template multicast rate limit setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getSiteTemplateRememberSettingByOpenApi ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/remember-device

Query site template setting exist or not

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getSiteTemplateRememberSettingByOpenApi",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Query site template setting exist or not
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

modifySiteTemplateRememberSettingByOpenApi ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/remember-device

Modify site template remember device setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema SiteRememberDeviceSetting

FieldTypeRequiredDescription
rememberbooleannoSite remember device.
json
// omada_call_operation
{
  "operationId": "modifySiteTemplateRememberSettingByOpenApi",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site template remember device setting
The interface requires one of the permissions:
Global Site Template Manager Modify

getRemoteLoggingTemplateSetting ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/remote-logging

Get site template remote logging setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getRemoteLoggingTemplateSetting",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get site template remote logging setting
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateRemoteLoggingTemplateSetting ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/remote-logging

Modify site template remote logging setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema SiteRemoteLoggingSetting

FieldTypeRequiredDescription
remoteLogRemoteLogSettingVOno(RemoteLogSettingVO not expanded; call omada_get_schema "RemoteLogSettingVO")
json
// omada_call_operation
{
  "operationId": "updateRemoteLoggingTemplateSetting",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site template remote logging setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

getRoamingTemplateSetting ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/roaming

Get site template roaming setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getRoamingTemplateSetting",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get site template roaming setting
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

updateRoamingTemplateSetting ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/roaming

Modify site template roaming setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema SiteRoamingSetting

FieldTypeRequiredDescription
roamingRoamingOpenApiVOyes(RoamingOpenApiVO not expanded; call omada_get_schema "RoamingOpenApiVO")
json
// omada_call_operation
{
  "operationId": "updateRoamingTemplateSetting",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site template roaming setting
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

modifySiteServiceTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/service

Deprecated

This operation is deprecated.

Modify Site template service settings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema ModifySiteServiceOpenApiVO

FieldTypeRequiredDescription
meshNewMeshSettingOpenApiVOno(NewMeshSettingOpenApiVO not expanded; call omada_get_schema "NewMeshSettingOpenApiVO")
remoteLogRemoteLogSettingOpenApiVOno(RemoteLogSettingOpenApiVO not expanded; call omada_get_schema "RemoteLogSettingOpenApiVO")
lldpSiteApLldpSettingOpenApiVOno(SiteApLldpSettingOpenApiVO not expanded; call omada_get_schema "SiteApLldpSettingOpenApiVO")
beaconControlBeaconControlOpenApiVOno(BeaconControlOpenApiVO not expanded; call omada_get_schema "BeaconControlOpenApiVO")
bandSteeringBandSteeringOpenApiVOno(BandSteeringOpenApiVO not expanded; call omada_get_schema "BandSteeringOpenApiVO")
bandSteeringForMultiBandBandSteeringMultiBandOpenApiVOno(BandSteeringMultiBandOpenApiVO not expanded; call omada_get_schema "BandSteeringMultiBandOpenApiVO")
airtimeFairnessAirtimeFairnessSettingOpenApiVOno(AirtimeFairnessSettingOpenApiVO not expanded; call omada_get_schema "AirtimeFairnessSettingOpenApiVO")
ledSiteLedSettingno(SiteLedSetting not expanded; call omada_get_schema "SiteLedSetting")
roamingNewRoamingSettingOpenApiVOno(NewRoamingSettingOpenApiVO not expanded; call omada_get_schema "NewRoamingSettingOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifySiteServiceTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Site template service settings.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

modifySiteTemplateSetting ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting

Deprecated

This operation is deprecated.

Modify Site template settings

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema SiteTemplateSettingOpenApiVO

FieldTypeRequiredDescription
siteTemplateSiteTemplateOpenApiVOno(SiteTemplateOpenApiVO not expanded; call omada_get_schema "SiteTemplateOpenApiVO")
meshNewMeshSettingOpenApiVOno(NewMeshSettingOpenApiVO not expanded; call omada_get_schema "NewMeshSettingOpenApiVO")
remoteLogRemoteLogSettingOpenApiVOno(RemoteLogSettingOpenApiVO not expanded; call omada_get_schema "RemoteLogSettingOpenApiVO")
advancedFeatureAdvancedFeatureOpenApiVOno(AdvancedFeatureOpenApiVO not expanded; call omada_get_schema "AdvancedFeatureOpenApiVO")
channelLimitNewChannelLimitSettingOpenApiVOno(NewChannelLimitSettingOpenApiVO not expanded; call omada_get_schema "NewChannelLimitSettingOpenApiVO")
lldpSiteApLldpSettingOpenApiVOno(SiteApLldpSettingOpenApiVO not expanded; call omada_get_schema "SiteApLldpSettingOpenApiVO")
beaconControlBeaconControlOpenApiVOno(BeaconControlOpenApiVO not expanded; call omada_get_schema "BeaconControlOpenApiVO")
bandSteeringBandSteeringOpenApiVOno(BandSteeringOpenApiVO not expanded; call omada_get_schema "BandSteeringOpenApiVO")
bandSteeringForMultiBandBandSteeringMultiBandOpenApiVOno(BandSteeringMultiBandOpenApiVO not expanded; call omada_get_schema "BandSteeringMultiBandOpenApiVO")
airtimeFairnessAirtimeFairnessSettingOpenApiVOno(AirtimeFairnessSettingOpenApiVO not expanded; call omada_get_schema "AirtimeFairnessSettingOpenApiVO")
ledSiteLedSettingno(SiteLedSetting not expanded; call omada_get_schema "SiteLedSetting")
roamingNewRoamingSettingOpenApiVOno(NewRoamingSettingOpenApiVO not expanded; call omada_get_schema "NewRoamingSettingOpenApiVO")
SiteMulticastRateLimitSettingNewMcastRateLimitSettingOpenApiVOno(NewMcastRateLimitSettingOpenApiVO not expanded; call omada_get_schema "NewMcastRateLimitSettingOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifySiteTemplateSetting",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Site template settings.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.